sources.list没有写入权限,,怎么办?

为当前最终发行版之前的所有版本提供支持
回复
suheng
帖子: 30
注册时间: 2006-03-01 23:17
来自: 在他乡
送出感谢: 0
接收感谢: 0
联系:

sources.list没有写入权限,,怎么办?

#1

帖子 suheng » 2006-03-03 13:11

suheng@ubuntu:~$ sudo gedit /etc/apt/sources.list

** (gedit:7892): CRITICAL **: gedit_mdi_set_state: assertion `GEDIT_IS_MDI (mdi)' failed

(gedit:7892): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `BonoboMDI'

** (gedit:7892): CRITICAL **: bonobo_mdi_get_active_child: assertion `BONOBO_IS_MDI (mdi)' failed

(gedit:7892): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `BonoboMDI'

** (gedit:7892): CRITICAL **: bonobo_mdi_get_active_window: assertion `BONOBO_IS_MDI (mdi)' failed

** (gedit:7892): CRITICAL **: gedit_utils_set_status: assertion `BONOBO_IS_WINDOW (win)' failed

** (gedit:7892): CRITICAL **: gedit_prefs_manager_get_int: assertion `gedit_prefs_manager->gconf_client != NULL' failed

** (gedit:7892): CRITICAL **: gedit_prefs_manager_get_bool: assertion `gedit_prefs_manager->gconf_client != NULL' failed

** (gedit:7892): CRITICAL **: gedit_prefs_manager_get_bool: assertion `gedit_prefs_manager->gconf_client != NULL' failed

** (gedit:7892): CRITICAL **: gedit_prefs_manager_get_int: assertion `gedit_prefs_manager->gconf_client != NULL' failed

(gedit:7892): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GObject'

(gedit:7892): GLib-GObject-WARNING **: instance of invalid non-instantiatable type `<invalid>'

(gedit:7892): GLib-GObject-CRITICAL **: g_signal_connect_object: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
头像
ct
帖子: 2201
注册时间: 2005-04-06 21:15
来自: 安徽黄山
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 ct » 2006-03-03 13:24

换个编辑器呢?
会不会是gedit有问题
suheng
帖子: 30
注册时间: 2006-03-01 23:17
来自: 在他乡
送出感谢: 0
接收感谢: 0
联系:

Thanks for your help

#3

帖子 suheng » 2006-03-03 14:16

谢谢了,我比较笨。不太会使用vi。更不知道还有其它类型的编辑器。
最后就把原文件删除了,在桌面上新建了一个mv过去。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#4

帖子 eexpress » 2006-03-03 16:36

安装一个mousepad。飞快。
● 鸣学
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 karron » 2006-03-03 17:10

mousepad依赖xfce...
还是用leafpad吧,也非常快.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
回复

回到 “老旧版本支持”